{{ define "content" }}
<div class="row">
    <div class="col-md-8">
        <p>
            Browse the Mineral Magpie <a href="https://gitlab.com/flat-galaxy/mineralmagpie">project code</a> and
            download the Magpie EDMC Plugin <a href="{{ .LatestEDMC }}">here</a>
        </p>
    </div>
</div>
<div class="row">
    <div class="col-md-9">
        <h2><span class="glyphicon glyphicon-equalizer"></span> Mining Timeline</h2>
        <div class="histogram_parent">
            <div id="mined_histogram_container">
                <canvas id="mined_histogram"></canvas>
            </div>
        </div>

        <div class="histogram_parent">
            <div id="cores_histogram_container">
                <canvas id="cores_histogram"></canvas>
            </div>
        </div>

        <script type="text/javascript">

            setTimeout(function () {

                var data = {
                    labels: [],
                    datasets: [
                        {
                            data: [],
                            fill: true,
                            steppedLine: true,
                            borderColor: "teal",
                        }
                    ],
                };

                var opts = {
                    responsive: true,
                    maintainAspectRatio: false,
                    title: {
                        display: true,
                        text: "Tonnes per Day",
                    },
                    legend: {
                        display: false
                    }
                };

            {{range $item := .MinedHistogram}}
                data.labels.push( {{$item.EliteDate}} );
                data.datasets[0].data.push({{$item.Value}});
            {{end}}

                var ctx = $("#mined_histogram");
                new Chart(ctx, {
                    type: "line",
                    data: data,
                    options: opts
                });
            }, 50);

        </script>

        <script type="text/javascript">

            setTimeout( function () {

                var data = {
                    labels: [],
                    datasets: [
                        {
                            data: [],
                            fill: true,
                            steppedLine: true,
                            borderColor: "lightblue",
                        }
                    ],
                };

                var opts = {
                    responsive: true,
                    maintainAspectRatio: false,
                    title: {
                        display: true,
                        text: "Deep cores per Day",
                    },
                    legend: {
                        display: false
                    }
                };

            {{range $item := .CoresHistogram}}
                data.labels.push( {{$item.EliteDate}} );
                data.datasets[0].data.push({{$item.Value}});
            {{end}}

                var ctx = $("#cores_histogram");
                new Chart(ctx, {
                    type: "line",
                    data: data,
                    options: opts
                });
            }, 150);

        </script>

    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <h2><span class="glyphicon glyphicon-fire"></span> Active Mining Areas</h2>
        <div>
        Star systems that have recorded the most mining activity this week.
        </div>

        {{range $value := .ActiveSystems}}
        <div>
            <div class="starsystem">
                <div class="starsystem_title">
                    <a href="/system/{{$value.Name}}">{{ $value.Name }}</a>
                </div>
                {{ template "system_summary" $value }}
            </div>
        </div>
        {{end}}

    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <h2><span class="glyphicon glyphicon-heart"></span> Biggest Mining Areas</h2>
        <div>
            Star systems where the most minerals have been mined.
        </div>

        <div>
        {{range $value := .BigSystems}}
            <div class="starsystem">
                <div class="starsystem_title">
                    <a href="/system/{{$value.Name}}">{{ $value.Name }}</a>
                </div>
            {{ template "system_summary" $value }}
            </div>
        {{end}}
        </div>
    </div>
</div>

{{ end }}